using SQLite;
using System.Text.Json.Serialization;

namespace salesbook.Shared.Core.Entity;

[Table("stb_user")]
public class StbUser
{
    [PrimaryKey, Column("user_name"), JsonPropertyName("userName")]
    public string UserName { get; set; }

    [Column("full_name"), JsonPropertyName("fullName")]
    public string FullName { get; set; }

    [Column("key_group"), JsonPropertyName("keyGroup")]
    public int KeyGroup { get; set; }

    [Column("user_code"), JsonPropertyName("userCode")]
    public string? UserCode { get; set; }
}